clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::MarkupContent Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::MarkupContent:
[legend]

## Public Attributes
MarkupKind | kind = MarkupKind::PlainText
std::string | value

## Detailed Description

Definition at line 808 of file Protocol.h.

## Member Data Documentation

## ◆ kind

MarkupKind clang::clangd::MarkupContent::kind = MarkupKind::PlainText

Definition at line 809 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ value

std::string clang::clangd::MarkupContent::value

Definition at line 810 of file Protocol.h.

Referenced by clang::clangd::getHoverContents(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h